API ReferenceapicommunityGET /v1/admin/users/{user_id}/restrictions

GET /v1/admin/users/\{user_id\}/restrictions

Service: community · operationId: (none)

Required scopes

(no scope declared — review service config)

Path parameters

  • user_id (string) required

Responses

200 Restrictions applied to a user

{
  "type": "object",
  "properties": {
    "data": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "id": {
            "type": "string"
          },
          "user_id": {
            "type": "string"
          },
          "brand_id": {
            "type": "string"
          },
          "restriction": {
            "type": "string",
            "enum": [
              "warn",
              "mute",
              "suspend",
              "ban"
            ]
          },
          "reason": {
            "type": "string"
          },
          "applied_at": {
            "type": "string"
          },
          "expires_at": {
            "type": [
              "string",
              "null"
            ]
          },
          "applied_by_user_id": {
            "type": "string"
          }
        },
        "required": [
          "id",
          "user_id",
          "brand_id",
          "restriction",
          "reason",
          "applied_at",
          "expires_at",
          "applied_by_user_id"
        ]
      }
    }
  },
  "required": [
    "data"
  ]
}

Example

curl -X GET https://community.platform.loop.health/v1/admin/users/{user_id}/restrictions \
  -H "Authorization: Bearer $ACCESS_TOKEN"